<template>
  <button
    type="button"
    class="btn btn-tab"
    :class="{ active: showActive, completed: completed }"
    @click="$emit('submit')"
  >
    <slot />
  </button>
</template>

<script>
export default {
  name: "AppTab",
  components: {},
  props: {
    showActive: {
      type: Boolean,
      default: false,
    },
    completed: {
      type: Boolean,
      default: false,
    },
  },
};
</script>

<style>
.btn.btn-tab {
  display: inline-block;
  padding: 18px 24px;
  color: #10151b;
  font-weight: 500;
  font-size: 18px;
  line-height: 24px;
  background-color: #f2f6f9;
  border-radius: 10px 0px 0px 0px;
  margin: 24px 5px;
  min-width: 350px;
  height: fit-content;
  text-align: left;
}

.btn.btn-tab.active {
  background: #0c2747;
  cursor: default;
  color: #ffffff;
}

.btn.btn-tab.completed {
  background: #304e71;
  color: #ffffff;
}

.btn.btn-tab:first-child {
  margin-left: 0;
}

.btn-tab:hover {
  background-color: #e3eaf3;
}
</style>
